Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# Sound Class Reference

The Sound class plays WAVE sound files and can invoke the audible alarm. More...

`#include <qtopia/sound.h>`

List of all member functions.

## Public Members

- Sound ( const QString & name )
- ~Sound ()
- void play ()
- void playLoop ()
- void stop ()

## Static Public Members

- void soundAlarm ()

## Detailed Description

The Sound class plays WAVE sound files and can invoke the audible alarm.

The Sound class is constructed with the .wav music file name. The Sound class retrieves the sound file from the shared Resource class. This class ties together QSound and the available sound resources.

To sound an audible system alarm, call the static method soundAlarm()

See also Qtopia Classes.

## Member Function Documentation

### Sound::Sound ( const QString & name )

Opens a wave sound file name for playing

### Sound::~Sound ()

Destroys the sound

### void Sound::play ()

Play the sound once

### void Sound::playLoop ()

Play the sound, repeatedly until stop() is called

### void Sound::soundAlarm ()`[static]`

Sounds the audible system alarm. This is used for applications such as Calendar when it needs to alarm the user of an event.

### void Sound::stop ()

Do not repeat the sound after it finishes. This will end a playLoop()

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.